Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
USB device specific requests

## Functions
void | uac1_user_endpoint_init (U8)
| This function configures the endpoints of the device application. This function is called when the set configuration request has been received. More...
void | uac1_user_set_interface (U8 wIndex, U8 wValue)
| This function handles usb_set_interface side effects. This function is called from usb_set_interface in usb_standard_request in case there are side effects of the interface change to be handled. More...
Bool | uac1_user_read_request (U8, U8)
void | uac2_user_endpoint_init (U8)
| This function configures the endpoints of the device application. This function is called when the set configuration request has been received. More...
void | uac2_user_set_interface (U8 wIndex, U8 wValue)
| This function handles usb_set_interface side effects. This function is called from usb_set_interface in usb_standard_request in case there are side effects of the interface change to be handled. More...
Bool | uac2_user_read_request (U8, U8)
void | usb_user_endpoint_init (U8)
| This function configures the endpoints of the device application. This function is called when the set configuration request has been received. More...
void | usb_user_set_interface (U8 wIndex, U8 wValue)
| This function handles usb_set_interface side effects. This function is called from usb_set_interface in usb_standard_request in case there are side effects of the interface change to be handled. More...
Bool | usb_user_read_request (U8, U8)
Bool | usb_user_get_descriptor (U8, U8)

## Detailed Description

## Function Documentation

void uac1_user_endpoint_init | ( | U8 | ) |  |

This function configures the endpoints of the device application. This function is called when the set configuration request has been received.

The core of this function should be correctly rewritten depending on the USB device application characteristics (the USB device application has specific endpoint configuration).

Bool uac1_user_read_request | ( | U8 | ,
|  | U8 |
| ) |  |

This function is called by the standard USB read request function when the USB request is not supported. This function returns TRUE when the request is processed. This function returns FALSE if the request is not supported. In this case, a STALL handshake will be automatically sent by the standard USB read request function.

void uac1_user_set_interface | ( | U8 | wIndex,
|  | U8 | wValue
| ) |  |

This function handles usb_set_interface side effects. This function is called from usb_set_interface in usb_standard_request in case there are side effects of the interface change to be handled.

void uac2_user_endpoint_init | ( | U8 | ) |  |

This function configures the endpoints of the device application. This function is called when the set configuration request has been received.

The core of this function should be correctly rewritten depending on the USB device application characteristics (the USB device application has specific endpoint configuration).

Bool uac2_user_read_request | ( | U8 | type,
|  | U8 | request
| ) |  |

This function is called by the standard USB read request function when the USB request is not supported. This function returns TRUE when the request is processed. This function returns FALSE if the request is not supported. In this case, a STALL handshake will be automatically sent by the standard USB read request function.

< send a ZLP for STATUS phase

< waits for status phase done

< send a ZLP for STATUS phase

< waits for status phase done

< send a ZLP for STATUS phase

< waits for status phase done

< send a ZLP for STATUS phase

< waits for status phase done

< send a ZLP for STATUS phase

< waits for status phase done

< send a ZLP for STATUS phase

< waits for status phase done

void uac2_user_set_interface | ( | U8 | wIndex,
|  | U8 | wValue
| ) |  |

This function handles usb_set_interface side effects. This function is called from usb_set_interface in usb_standard_request in case there are side effects of the interface change to be handled.

void usb_user_endpoint_init | ( | U8 | ) |  |

This function configures the endpoints of the device application. This function is called when the set configuration request has been received.

The core of this function should be correctly rewritten depending on the USB device application characteristics (the USB device application has specific endpoint configuration).

Bool usb_user_get_descriptor | ( | U8 | type,
|  | U8 | string
| ) |  |

This function returns the size and the pointer on a user information structure

Bool usb_user_read_request | ( | U8 | type,
|  | U8 | request
| ) |  |

This function is called by the standard USB read request function when the USB request is not supported. This function returns TRUE when the request is processed. This function returns FALSE if the request is not supported. In this case, a STALL handshake will be automatically sent by the standard USB read request function.

void usb_user_set_interface | ( | U8 | wIndex,
|  | U8 | wValue
| ) |  |

This function handles usb_set_interface side effects. This function is called from usb_set_interface in usb_standard_request in case there are side effects of the interface change to be handled.